## Afriex SDK

### TypeScript

```typescript
const institutions = await afriex.paymentMethods.getInstitutions({
  channel: "BANK_ACCOUNT",
  countryCode: "NG",
});

// Returns: Institution[], { institutionId, institutionName, institutionCode }
```

### cURL

```bash
curl --request GET \
  --url https://sandbox.api.afriex.com/api/v1/payment-method/institution \
  --header 'x-api-key: <api-key>'
```

### Python

```python
import requests

url = "https://sandbox.api.afriex.com/api/v1/payment-method/institution"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch API)

```javascript
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://sandbox.api.afriex.com/api/v1/payment-method/institution', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php


```

### Sample Response

```json
{
  "data": [
    {
      "institutionName": "Guaranty Trust Bank (GTBank) Plc",
      "institutionCode": "000013",
      "institutionBranch": "",
      "institutionAddress": ""
    },
    {
      "institutionName": "Zenith Bank",
      "institutionCode": "000015",
      "institutionBranch": "",
      "institutionAddress": ""
    },
    {
      "institutionName": "Wema Bank",
      "institutionCode": "000017",
      "institutionBranch": "",
      "institutionAddress": ""
    }
  ],
  "total": 38,
  "page": 0
}
```

### Authorizations

- **x-api-key**: Static business API key issued from the dashboard. Required for each request.

### Headers

- **x-api-signature**: Signature of the request payload, used for request authentication.
- **x-api-version**: API version in ISO 8601 format.

### Query Parameters

- **channel**: Required. The payment method channel (e.g., `BANK_ACCOUNT`, `MOBILE_MONEY`, etc.).
- **countryCode**: Required. The ISO 3166-1 alpha-2 country code.
